Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
stubs.h File Reference
`#include <tcl.h>`
Include dependency graph for stubs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | TCLTK_STUBS_OK (0)
#define | NO_TCL_DLL (1)
#define | NO_FindExecutable (2)
#define | NO_TK_DLL (-1)
#define | NO_CreateInterp (3)
#define | NO_DeleteInterp (4)
#define | FAIL_CreateInterp (5)
#define | FAIL_Tcl_InitStubs (6)
#define | NO_Tk_Init (7)
#define | FAIL_Tk_Init (8)
#define | FAIL_Tk_InitStubs (9)

## Functions
int | ruby_open_tcl_dll (char *)
int | ruby_open_tk_dll ()
int | ruby_open_tcltk_dll (char *)
int | tcl_stubs_init_p ()
int | tk_stubs_init_p ()
Tcl_Interp * | ruby_tcl_create_ip_and_stubs_init (int *)
int | ruby_tcl_stubs_init ()
int | ruby_tk_stubs_init (Tcl_Interp *)
int | ruby_tk_stubs_safeinit (Tcl_Interp *)
int | ruby_tcltk_stubs ()

## Macro Definition Documentation

#define FAIL_CreateInterp (5)

Definition at line 27 of file stubs.h.

Referenced by tcl_stubs_check().

#define FAIL_Tcl_InitStubs (6)

Definition at line 28 of file stubs.h.

Referenced by tcl_stubs_check().

#define FAIL_Tk_Init (8)

Definition at line 32 of file stubs.h.

Referenced by if().

#define FAIL_Tk_InitStubs (9)

Definition at line 33 of file stubs.h.

Referenced by if().

#define NO_CreateInterp (3)

Definition at line 25 of file stubs.h.

Referenced by tcl_stubs_check().

#define NO_DeleteInterp (4)

Definition at line 26 of file stubs.h.

Referenced by tcl_stubs_check().

#define NO_FindExecutable (2)

Definition at line 19 of file stubs.h.

Referenced by Init_tcltklib(), and tcl_stubs_check().

#define NO_TCL_DLL (1)

Definition at line 18 of file stubs.h.

Referenced by Init_tcltklib(), and tcl_stubs_check().

#define NO_TK_DLL (-1)

Definition at line 22 of file stubs.h.

#define NO_Tk_Init (7)

Definition at line 31 of file stubs.h.

Referenced by if().

return TCLTK_STUBS_OK (0)

Definition at line 15 of file stubs.h.

## Function Documentation

int ruby_open_tcl_dll | ( | char * |  | ) |

Referenced by if(), Init_tcltklib(), and ruby_open_tk_dll().

int ruby_open_tcltk_dll | ( | char * |  | ) |

int ruby_open_tk_dll | ( |  | ) |

Definition at line 472 of file stubs.c.

References rb_argv0, RSTRING_PTR, ruby_open_tcl_dll(), and TCLTK_STUBS_OK.

Tcl_Interp* ruby_tcl_create_ip_and_stubs_init | ( | int * |  | ) |

int ruby_tcl_stubs_init | ( |  | ) |

Definition at line 533 of file stubs.c.

References TCLTK_STUBS_OK.

Referenced by tcl_stubs_check().

int ruby_tcltk_stubs | ( |  | ) |

Definition at line 587 of file stubs.c.

References rb_argv0, and RSTRING_PTR.

int ruby_tk_stubs_init | ( | Tcl_Interp * |  | ) |

Referenced by if().

int ruby_tk_stubs_safeinit | ( | Tcl_Interp * |  | ) |

int tcl_stubs_init_p | ( |  | ) |

Definition at line 494 of file stubs.c.

Referenced by tcl_stubs_check().

int tk_stubs_init_p | ( |  | ) |

Definition at line 500 of file stubs.c.

References call_tk_stubs_init.

Referenced by for(), and switch().